Subject: RE: [Syslog] Call for David Harrington to resign from syslog as co-chair

From: "Anton Okmianski \(aokmians\)" <[email-masked]>
Date: Fri, 9 Jun 2006 17:04:15 -0400

I agree that Darren is overreacting in words, but maybe not in substance.  I think that a co-chair generally plays some role within his own company, and can/should steer it away from behavior disruptive to the work of the standards body that this co-chair is overseeing. I would expect that from a co-chair, anyway.  Particularly, when it comes to frivolous patents that serve nothing other than cast a shadow over the potential standard and hamper enthusiasm of WG members.  

While I certainly don't have enough information to judge what has gone on within that company, I would agree that appearance is not good because it raises doubt about potential co-chair involvement in an activity which hinders WG work. Let me be clear, I don't question David's personal character, but if the *appearance* of potential conflict of interests serves to de-motivate WG members, I don't think it is a good thing. It is a little bit weird for a group to be led by a person from company which cast shadow over viability of the standard.   

I have personally spent a lot of effort on this work over the years. And if members of WG feel betrayed, rightly or wrongly, I would side with their point of view, so the work can continue with less friction. 

Thanks,
Anton.  

> -----Original Message-----
> From: Rainer Gerhards [mailto:[email-masked]] 
> Sent: Friday, June 09, 2006 4:16 PM
> To: Darren Reed; David B Harrington
> Cc: [email-masked]
> Subject: RE: [Syslog] Call for David Harrington to resign 
> from syslog asco-chair
> 
> Darren,
> 
> I think you have mis-read the IPR disclosure. The section 
> numbers in roman numbers refer to the IPR claim and not the 
> I-D sections.
> 
> I would also like to voice that I am very happy that David is 
> co-charing this group. The current discussion has shown how 
> professional and ethical his leadership of the WG is. There 
> is nothing that would justify to step back from this position.
> 
> I also think that you are exaggerating the situation. While I 
> do not like the move by Huawei (and have voiced that), I also 
> think there is nothing evil per sé in this move. IMHO Huawei 
> is simply using an abusive patent system. This is a 
> difference to someone abusing a non-abusive system. The 
> primary thing to do is fight the abusive system itself - as 
> we in Europe try to avoid an US-like patent system over here. 
> As far as I know, even the US is reconsidering the current 
> patent system. I do not know about China, Australia and 
> Japan, but my uninformed impression is that it is as bad 
> there as it is in the US. I also think we shouldn't wonder 
> that the Chineese do what we have told them for years now: we 
> have ever and ever told them that they must respect the 
> western way of IPR. Are they really to blame they are doing 
> it now? Has someone forgotten to think about the situation 
> that they themselves use it to their advantage? Believe me, a 
> country of this size and population has lots of (real) inventors... ;)
> 
> Back to this case: I still see lack of an innovation. The 
> thing also smells bad if I look at the timing. Anyhow, the 
> action to take is to clarify the claim and see how to avoid 
> it. Chris is handling this perfectly. I think it was also 
> important to voice that we are unhappy with a patent claim. 
> This has been done. David has done his chore of notifying the 
> WG - exactly as required by IETF policies. A thing left to do 
> (once we know details) is to make clear that the patent claim 
> is invalid and there are lots of prior art. As far as I know, 
> you Darren, had started the WG with syslog/ssl in mind. So 
> you are probably in one of the best position to proove this 
> prior art. Please do that once the details are clear.
> 
> IMHO we should not be overreacting: if that IPR claim is the 
> worst thing that happens to the WG, we are very lucky. It's a 
> weak one, even though it is disturbing and eventually 
> time-consuming. I think we've had bigger problems and we were 
> able to solve them. Having to deal with lawyers is nothing 
> that make a tech guy happy (at least not me...), but 
> sometimes this is unavoidable.
> 
> Having said all this, please let me repeat that I prefer to 
> have no syslog RFC than to have one that is taken hostage by 
> a nonsense patent claim. Just to make sure I will not be 
> misunderstood in this regard. But it is no solution to run 
> away as soon as somebody screams "IPR" into the crowd...
> 
> Rainer
> 
> > -----Original Message-----
> > From: Darren Reed [mailto:[email-masked]] 
> > Sent: Friday, June 09, 2006 7:23 PM
> > To: David B Harrington
> > Cc: [email-masked]
> > Subject: [Syslog] Call for David Harrington to resign from 
> > syslog as co-chair
> > 
> > As someone who works fr the offending company, I might point
> > out that the lodged IPR statement does not accurately reference
> > the draft at all.  It talks about "section IV" and "section V".
> > The current draft has no "section IV" or "section V".
> > The draft does have sections labelled "section 4" and "section 5".
> > If you know anything of legal documents and messages then you will
> > understand that they need to be accurate.  Ask your lawyer for
> > more information on this.
> > 
> > Given your role as chair and that you are employed by the
> > company involved, I would like to ask you to resign your
> > role as co-chair here because I believe your commercial
> > interests are compromising the direction and role of this
> > group.
> > 
> > If you do not wish to voluntarily resign I will ask the
> > group to take a vote on this matter.  As it stands, there
> > are a number of people who do not like this move and I
> > can imagine any number of them would feel betrayed by it.
> > 
> > Darren
> > 
> > > Hi,
> > > 
> > > As co-chair it is my responsibility to make the WG aware 
> that there
> > > has been a disclosure that an unpublished pending patent 
> application
> > > might be infringed by the implementation of the specifications in
> > > draft-ietf-syslog-transport-tls-01.txt.
> > > 
> > > The disclosure can be found at
> > > 
> https://datatracker.ietf.org/public/ipr_detail_show.cgi?&ipr_id=717.
> > > 
> > > David Harrington
> > > [email-masked] 
> > > [email-masked]
> > > [email-masked]
> > > co-chair, Syslog WG 
> > > 
> > > 
> > > _______________________________________________
> > > Syslog mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/syslog
> > > 
> > > 
> > 
> > _______________________________________________
> > Syslog mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/syslog
> > 
> 
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/syslog
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog